Package de.willuhn.jameica.hbci.rmi

# Enum Class SepaLastSequenceType

java.lang.Object
java.lang.Enum<SepaLastSequenceType>
de.willuhn.jameica.hbci.rmi.SepaLastSequenceType

All Implemented Interfaces:
  `Serializable`, `Comparable<SepaLastSequenceType>`, `Constable`

public enum SepaLastSequenceType extends Enum<SepaLastSequenceType>
Die verschiedenen Sequence-Typen bei SEPA-Lastschriften.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FNAL`
Sequenz-Typ FNAL fuer letztmaligen Einzug.
`FRST`
Sequenz-Typ FRST fuer Erst-Einzug.
`OOFF`
Sequenz-Typ OOFF fuer Einmal-Einzug.
`RCUR`
Sequenz-Typ RCUR fuer Folge-Einzug.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Liefert einen sprechenden Namen fuer den Sequenztyp.
`String`
`toString()`
`static SepaLastSequenceType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SepaLastSequenceType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FRST

public static final SepaLastSequenceType FRST
Sequenz-Typ FRST fuer Erst-Einzug.

### RCUR

public static final SepaLastSequenceType RCUR
Sequenz-Typ RCUR fuer Folge-Einzug.

### OOFF

public static final SepaLastSequenceType OOFF
Sequenz-Typ OOFF fuer Einmal-Einzug.

### FNAL

public static final SepaLastSequenceType FNAL
Sequenz-Typ FNAL fuer letztmaligen Einzug.

## Method Details

### values

public static SepaLastSequenceType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SepaLastSequenceType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getDescription

public String getDescription()
Liefert einen sprechenden Namen fuer den Sequenztyp.

Returns:
  sprechender Name fuer den Sequenztyp.

### toString

public String toString()

Overrides:
  `toString` in class `Enum<SepaLastSequenceType>`